/*------------------------------------*\
    #MENU-BREADCRUMB
\*------------------------------------*/
/**
 * Breadcrumb navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-breadcrumb,
%#{$inuit-namespace}menu-breadcrumb {
    font-size: 76.47%;
    margin-bottom: 10px;
}

.#{$inuit-namespace}menu-breadcrumb__wrapper,
%#{$inuit-namespace}menu-breadcrumb__wrapper {
    .c-article & {
        margin-left: 0;
    }
}

.#{$inuit-namespace}menu-breadcrumb__list,
%#{$inuit-namespace}menu-breadcrumb__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-breadcrumb__item,
%#{$inuit-namespace}menu-breadcrumb__item {
    display: inline-block;

    + .#{$inuit-namespace}menu-breadcrumb__item,
    + %#{$inuit-namespace}menu-breadcrumb__item {
        &::before {
            content: '/';
            display: inline-block;
            margin: 0 .25em;
        }
    }
}

.#{$inuit-namespace}menu-breadcrumb__link,
%#{$inuit-namespace}menu-breadcrumb__link {
    color: $drk-color-grey;

    &.is-active {
        color: $drk-color-light-red;
    }
}
